com.microfocus.awm.remote

## Enum ELocalCodepage

- java.lang.Object
- - java.lang.Enum<ELocalCodepage>
  - - com.microfocus.awm.remote.ELocalCodepage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ELocalCodepage>

      public enum ELocalCodepage
      extends java.lang.Enum<ELocalCodepage>

  Enum for supported local AWM code pages.
  Author:
    Micro Focus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Big5`
    `Big5_Solaris`
    `Big5HKSCS`
    `Cp037`
    `Cp1006`
    `Cp1025`
    `Cp1026`
    `Cp1046`
    `Cp1047`
    `Cp1097`
    `Cp1098`
    `Cp1112`
    `Cp1122`
    `Cp1123`
    `Cp1124`
    `Cp1140`
    `Cp1141`
    `Cp1142`
    `Cp1143`
    `Cp1144`
    `Cp1145`
    `Cp1146`
    `Cp1147`
    `Cp1148`
    `Cp1149`
    `Cp1381`
    `Cp1383`
    `Cp273`
    `Cp277`
    `Cp278`
    `Cp280`
    `Cp284`
    `Cp285`
    `Cp297`
    `Cp33722`
    `Cp420`
    `Cp424`
    `Cp437`
    `Cp500`
    `Cp737`
    `Cp775`
    `Cp838`
    `Cp850`
    `Cp852`
    `Cp855`
    `Cp856`
    `Cp857`
    `Cp858`
    `Cp860`
    `Cp861`
    `Cp862`
    `Cp863`
    `Cp864`
    `Cp865`
    `Cp866`
    `Cp868`
    `Cp869`
    `Cp870`
    `Cp871`
    `Cp874`
    `Cp875`
    `Cp918`
    `Cp921`
    `Cp922`
    `Cp930`
    `Cp933`
    `Cp935`
    `Cp937`
    `Cp939`
    `Cp942`
    `Cp942C`
    `Cp943`
    `Cp943C`
    `Cp948`
    `Cp949`
    `Cp949C`
    `Cp950`
    `Cp964`
    `Cp970`
    `EUCJP`
    `EUCKR`
    `GB18030`
    `GBK`
    `ISCII91`
    `ISO2022_CN_CNS`
    `ISO2022_CN_GB`
    `ISO2022JP`
    `ISO2022KR`
    `ISO88591`
    `ISO885913`
    `ISO885915`
    `ISO88592`
    `ISO88593`
    `ISO88594`
    `ISO88595`
    `ISO88596`
    `ISO88597`
    `ISO88598`
    `ISO88599`
    `JISAutoDetect`
    `KOI8R`
    `MacArabic`
    `MacCentralEurope`
    `MacCroatian`
    `MacCyrillic`
    `MacDingbat`
    `MacGreek`
    `MacHebrew`
    `MacIceland`
    `MacRoman`
    `MacRomania`
    `MacSymbol`
    `MacThai`
    `MacTurkish`
    `MacUkraine`
    `MS874`
    `Shift_JIS`
    `TIS620`
    `USASCII`
    `UTF16`
    `UTF16BE`
    `UTF16LE`
    `UTF8`
    `windows1250`
    `windows1251`
    `windows1252`
    `windows1253`
    `windows1254`
    `windows1255`
    `windows1256`
    `windows1257`
    `windows1258`
    `windows31j`
    `xEUCCN`
    `xEUCJPLINUX`
    `xEUCTW`
    `xMS950HKSCS`
    `xmswin936`
    `xwindows949`
    `xwindows950`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ELocalCodepage` | `fromString(java.lang.String pString)`
    `java.lang.String` | `get4ByteCcsid()` Not yet functional!
    `java.nio.charset.Charset` | `getCharset()` Gets the `Charset` for the character set name.
    `java.lang.String` | `getCharsetName()`
    `static java.lang.String[]` | `getCodepagesList()`
    `static ELocalCodepage` | `getDefault()`
    `java.lang.String` | `toString()`
    `static ELocalCodepage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ELocalCodepage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USASCII

          public static final ELocalCodepage USASCII

    - #### windows1250

          public static final ELocalCodepage windows1250

    - #### windows1251

          public static final ELocalCodepage windows1251

    - #### windows1252

          public static final ELocalCodepage windows1252

    - #### windows1253

          public static final ELocalCodepage windows1253

    - #### windows1254

          public static final ELocalCodepage windows1254

    - #### windows1257

          public static final ELocalCodepage windows1257

    - #### ISO88591

          public static final ELocalCodepage ISO88591

    - #### ISO88592

          public static final ELocalCodepage ISO88592

    - #### ISO88594

          public static final ELocalCodepage ISO88594

    - #### ISO88595

          public static final ELocalCodepage ISO88595

    - #### ISO88597

          public static final ELocalCodepage ISO88597

    - #### ISO88599

          public static final ELocalCodepage ISO88599

    - #### ISO885913

          public static final ELocalCodepage ISO885913

    - #### ISO885915

          public static final ELocalCodepage ISO885915

    - #### KOI8R

          public static final ELocalCodepage KOI8R

    - #### UTF8

          public static final ELocalCodepage UTF8

    - #### UTF16

          public static final ELocalCodepage UTF16

    - #### UTF16BE

          public static final ELocalCodepage UTF16BE

    - #### UTF16LE

          public static final ELocalCodepage UTF16LE

    - #### windows1255

          public static final ELocalCodepage windows1255

    - #### windows1256

          public static final ELocalCodepage windows1256

    - #### windows1258

          public static final ELocalCodepage windows1258

    - #### ISO88593

          public static final ELocalCodepage ISO88593

    - #### ISO88596

          public static final ELocalCodepage ISO88596

    - #### ISO88598

          public static final ELocalCodepage ISO88598

    - #### windows31j

          public static final ELocalCodepage windows31j

    - #### EUCJP

          public static final ELocalCodepage EUCJP

    - #### xEUCJPLINUX

          public static final ELocalCodepage xEUCJPLINUX

    - #### Shift_JIS

          public static final ELocalCodepage Shift_JIS

    - #### ISO2022JP

          public static final ELocalCodepage ISO2022JP

    - #### xmswin936

          public static final ELocalCodepage xmswin936

    - #### GB18030

          public static final ELocalCodepage GB18030

    - #### xEUCCN

          public static final ELocalCodepage xEUCCN

    - #### GBK

          public static final ELocalCodepage GBK

    - #### ISCII91

          public static final ELocalCodepage ISCII91

    - #### xwindows949

          public static final ELocalCodepage xwindows949

    - #### EUCKR

          public static final ELocalCodepage EUCKR

    - #### ISO2022KR

          public static final ELocalCodepage ISO2022KR

    - #### xwindows950

          public static final ELocalCodepage xwindows950

    - #### xMS950HKSCS

          public static final ELocalCodepage xMS950HKSCS

    - #### xEUCTW

          public static final ELocalCodepage xEUCTW

    - #### Big5

          public static final ELocalCodepage Big5

    - #### Big5HKSCS

          public static final ELocalCodepage Big5HKSCS

    - #### TIS620

          public static final ELocalCodepage TIS620

    - #### Big5_Solaris

          public static final ELocalCodepage Big5_Solaris

    - #### Cp037

          public static final ELocalCodepage Cp037

    - #### Cp273

          public static final ELocalCodepage Cp273

    - #### Cp277

          public static final ELocalCodepage Cp277

    - #### Cp278

          public static final ELocalCodepage Cp278

    - #### Cp280

          public static final ELocalCodepage Cp280

    - #### Cp284

          public static final ELocalCodepage Cp284

    - #### Cp285

          public static final ELocalCodepage Cp285

    - #### Cp297

          public static final ELocalCodepage Cp297

    - #### Cp420

          public static final ELocalCodepage Cp420

    - #### Cp424

          public static final ELocalCodepage Cp424

    - #### Cp437

          public static final ELocalCodepage Cp437

    - #### Cp500

          public static final ELocalCodepage Cp500

    - #### Cp737

          public static final ELocalCodepage Cp737

    - #### Cp775

          public static final ELocalCodepage Cp775

    - #### Cp838

          public static final ELocalCodepage Cp838

    - #### Cp850

          public static final ELocalCodepage Cp850

    - #### Cp852

          public static final ELocalCodepage Cp852

    - #### Cp855

          public static final ELocalCodepage Cp855

    - #### Cp856

          public static final ELocalCodepage Cp856

    - #### Cp857

          public static final ELocalCodepage Cp857

    - #### Cp858

          public static final ELocalCodepage Cp858

    - #### Cp860

          public static final ELocalCodepage Cp860

    - #### Cp861

          public static final ELocalCodepage Cp861

    - #### Cp862

          public static final ELocalCodepage Cp862

    - #### Cp863

          public static final ELocalCodepage Cp863

    - #### Cp864

          public static final ELocalCodepage Cp864

    - #### Cp865

          public static final ELocalCodepage Cp865

    - #### Cp866

          public static final ELocalCodepage Cp866

    - #### Cp868

          public static final ELocalCodepage Cp868

    - #### Cp869

          public static final ELocalCodepage Cp869

    - #### Cp870

          public static final ELocalCodepage Cp870

    - #### Cp871

          public static final ELocalCodepage Cp871

    - #### Cp874

          public static final ELocalCodepage Cp874

    - #### Cp875

          public static final ELocalCodepage Cp875

    - #### Cp918

          public static final ELocalCodepage Cp918

    - #### Cp921

          public static final ELocalCodepage Cp921

    - #### Cp922

          public static final ELocalCodepage Cp922

    - #### Cp930

          public static final ELocalCodepage Cp930

    - #### Cp933

          public static final ELocalCodepage Cp933

    - #### Cp935

          public static final ELocalCodepage Cp935

    - #### Cp937

          public static final ELocalCodepage Cp937

    - #### Cp939

          public static final ELocalCodepage Cp939

    - #### Cp942

          public static final ELocalCodepage Cp942

    - #### Cp942C

          public static final ELocalCodepage Cp942C

    - #### Cp943

          public static final ELocalCodepage Cp943

    - #### Cp943C

          public static final ELocalCodepage Cp943C

    - #### Cp948

          public static final ELocalCodepage Cp948

    - #### Cp949

          public static final ELocalCodepage Cp949

    - #### Cp949C

          public static final ELocalCodepage Cp949C

    - #### Cp950

          public static final ELocalCodepage Cp950

    - #### Cp964

          public static final ELocalCodepage Cp964

    - #### Cp970

          public static final ELocalCodepage Cp970

    - #### Cp1006

          public static final ELocalCodepage Cp1006

    - #### Cp1025

          public static final ELocalCodepage Cp1025

    - #### Cp1026

          public static final ELocalCodepage Cp1026

    - #### Cp1046

          public static final ELocalCodepage Cp1046

    - #### Cp1047

          public static final ELocalCodepage Cp1047

    - #### Cp1097

          public static final ELocalCodepage Cp1097

    - #### Cp1098

          public static final ELocalCodepage Cp1098

    - #### Cp1112

          public static final ELocalCodepage Cp1112

    - #### Cp1122

          public static final ELocalCodepage Cp1122

    - #### Cp1123

          public static final ELocalCodepage Cp1123

    - #### Cp1124

          public static final ELocalCodepage Cp1124

    - #### Cp1140

          public static final ELocalCodepage Cp1140

    - #### Cp1141

          public static final ELocalCodepage Cp1141

    - #### Cp1142

          public static final ELocalCodepage Cp1142

    - #### Cp1143

          public static final ELocalCodepage Cp1143

    - #### Cp1144

          public static final ELocalCodepage Cp1144

    - #### Cp1145

          public static final ELocalCodepage Cp1145

    - #### Cp1146

          public static final ELocalCodepage Cp1146

    - #### Cp1147

          public static final ELocalCodepage Cp1147

    - #### Cp1148

          public static final ELocalCodepage Cp1148

    - #### Cp1149

          public static final ELocalCodepage Cp1149

    - #### Cp1381

          public static final ELocalCodepage Cp1381

    - #### Cp1383

          public static final ELocalCodepage Cp1383

    - #### Cp33722

          public static final ELocalCodepage Cp33722

    - #### ISO2022_CN_CNS

          public static final ELocalCodepage ISO2022_CN_CNS

    - #### ISO2022_CN_GB

          public static final ELocalCodepage ISO2022_CN_GB

    - #### JISAutoDetect

          public static final ELocalCodepage JISAutoDetect

    - #### MS874

          public static final ELocalCodepage MS874

    - #### MacArabic

          public static final ELocalCodepage MacArabic

    - #### MacCentralEurope

          public static final ELocalCodepage MacCentralEurope

    - #### MacCroatian

          public static final ELocalCodepage MacCroatian

    - #### MacCyrillic

          public static final ELocalCodepage MacCyrillic

    - #### MacDingbat

          public static final ELocalCodepage MacDingbat

    - #### MacGreek

          public static final ELocalCodepage MacGreek

    - #### MacHebrew

          public static final ELocalCodepage MacHebrew

    - #### MacIceland

          public static final ELocalCodepage MacIceland

    - #### MacRoman

          public static final ELocalCodepage MacRoman

    - #### MacRomania

          public static final ELocalCodepage MacRomania

    - #### MacSymbol

          public static final ELocalCodepage MacSymbol

    - #### MacThai

          public static final ELocalCodepage MacThai

    - #### MacTurkish

          public static final ELocalCodepage MacTurkish

    - #### MacUkraine

          public static final ELocalCodepage MacUkraine

  - ### Method Detail

    - #### values

          public static ELocalCodepage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ELocalCodepage c : ELocalCodepage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ELocalCodepage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCharsetName

          public java.lang.String getCharsetName()

    - #### getCodepagesList

          public static java.lang.String[] getCodepagesList()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ELocalCodepage>`

    - #### getDefault

          public static ELocalCodepage getDefault()

    - #### fromString

          public static ELocalCodepage fromString(java.lang.String pString)

    - #### getCharset

          public java.nio.charset.Charset getCharset()

      Gets the `Charset` for the character set name.
      Returns:
        the Charset

    - #### get4ByteCcsid

          public java.lang.String get4ByteCcsid()

      Not yet functional!
      Returns:
        Always returns "1208"

Copyright © 2015 Micro Focus GmbH. All rights reserved.